<?php
function getCurrentBan($db, $sortBy = 'ban_date, ban_time', $order = 'DESC') {
  $sql = mysqli_query($db, "SELECT id,service,ip,ban_date,ban_time,country,countryCode FROM bans WHERE bans.id NOT IN ( SELECT unbans.id FROM unbans WHERE bans.id=unbans.id) ORDER BY $sortBy $order");
  while ($rows = mysqli_fetch_assoc($sql)) {
    $currentBan[] = $rows;
  }
  if (empty($currentBan)) {
    $currentBan = array();
  }
  mysqli_free_result($sql);
  return $currentBan;
}

//echo '<h3>Currently ',abs($currentlybanned),' ',$grammer,' banned.</h3>';
  if (empty($sortBy)) {
    $sortBy = 'ban_date';
  }
  $currentBan = getCurrentBan($db, $sortBy, $order);
  $nbCurrentBan = count($currentBan);
?>
<h2>Currently Banned (<?php echo $nbCurrentBan; ?>)</h2>
<div class='table'>
  <div class='row'>
    <div class='cell-header'>
      <a href="?page=currentBan&amp;sortBy=service&amp;order=<?php echo $newOrder?>">Service</a>
    </div>
    <div class='cell-header'>
      <a href="?page=currentBan&amp;sortBy=ip&amp;order=<?php echo $newOrder?>">IP</a>
    </div>
    <div class='cell-header'>
      <a href="?page=currentBan&amp;sortBy=ban_date&amp;order=<?php echo $newOrder?>">Date</a>
    </div>
    <div class='cell-header'>
      <a href="?page=currentBan&amp;sortBy=ban_time&amp;order=<?php echo $newOrder?>">Time</a>
    </div>
    <div class='cell-header'>
      <a href="?page=currentBan&amp;sortBy=country&amp;order=<?php echo $newOrder?>">Country</a>
    </div>
  </div>
  <?php
  foreach ($currentBan as $value) {
    echo '<div class="row">
<div class="cell">', $value['service'], '</div>
<div class="cell">', $value['ip'], '</div>
<div class="cell">', $value['ban_date'], '</div>
<div class="cell">', $value['ban_time'], '</div>
<div class="cell">', $value['country'].printFlag($value['countryCode']), '</div>
</div>';
  }
?>
</div>