<?php
// Find multiple country bans
function topTen($db) {
  $countrybans = mysqli_query($db, "SELECT service,COUNT(*) count FROM bans GROUP BY service ORDER BY count DESC LIMIT 10");
  while ($rows = mysqli_fetch_assoc($countrybans)) {
    $topTen[] = $rows;
  }
  if (empty($topTen)) {
    $topTen = array();
  }
  mysqli_free_result($countrybans);
  return $topTen;
}
?>
<h2>Top 10 Countries</h2>
<div class='table'>
  <div class='row'>
    <div class='cell-header'>
      Bans
    </div>
    <div class='cell-header'>
      Service
    </div>
  </div>
  <?php
  $topTen = topTen($db);
  foreach ($topTen as $value) {
    echo '<div class="row">';
    echo '<div class="cell">', $value['count'], '</div>';
    echo '<div class="cell">', $value['service'], '</div>';
    echo '</div>';
  }
?>
</div>